Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.RunFatalRecovery Field
DatabaseEnvironmentConfig Class See Also

If true, catastrophic recovery will be run on this environment before opening it for normal use.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool RunFatalRecovery

Visual Basic (Declaration)
    Public RunFatalRecovery As Boolean

Visual C++
    public:
    bool RunFatalRecovery

# Remarks

If true, the Create and UseTxns must also be set, because the regions will be removed and re-created, and transactions are required for application recovery.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace